Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1049023 - [abrt] alacarte: types.py:113:function:GError: Failed to look up menu_file for "gnome-applications-gnome.menu"
Summary: [abrt] alacarte: types.py:113:function:GError: Failed to look up menu_file fo...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: alacarte
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jasper St. Pierre
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:217e278d07e40f56190caa8d534...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-06 19:50 UTC by Rick Kasten
Modified: 2015-01-12 17:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-12 17:00:33 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.00 KB, text/plain)
2014-01-06 19:50 UTC, Rick Kasten
no flags Details
File: environ (4.11 KB, application/octet-stream)
2014-01-06 19:50 UTC, Rick Kasten
no flags Details

Description Rick Kasten 2014-01-06 19:50:03 UTC
Version-Release number of selected component:
alacarte-3.7.90-1.fc19

Additional info:
reporter:       libreport-2.1.10
cmdline:        /usr/bin/python2.7 -OOt /usr/bin/alacarte
dso_list:       pygobject3-base-3.8.3-1.fc19.x86_64
executable:     /usr/bin/alacarte
kernel:         3.11.9-200.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
types.py:113:function:GError: Failed to look up menu_file for "gnome-applications-gnome.menu"


Traceback (most recent call last):
  File "/usr/bin/alacarte", line 24, in <module>
    main()
  File "/usr/lib/python2.7/site-packages/Alacarte/MainWindow.py", line 449, in main
    app.setMenuBasename(basename)
  File "/usr/lib/python2.7/site-packages/Alacarte/MainWindow.py", line 66, in setMenuBasename
    self.editor = MenuEditor(menu_basename)
  File "/usr/lib/python2.7/site-packages/Alacarte/MenuEditor.py", line 36, in __init__
    self.load()
  File "/usr/lib/python2.7/site-packages/Alacarte/MenuEditor.py", line 49, in load
    if not self.tree.load_sync():
  File "/usr/lib64/python2.7/site-packages/gi/types.py", line 113, in function
    return info.invoke(*args, **kwargs)
GError: Failed to look up menu_file for "gnome-applications-gnome.menu"


Local variables in innermost frame:
info: <gi.FunctionInfo object (load_sync) at 0x0x2996c20>
args: (<Tree object at 0x2969fa0 (GMenuTree at 0x2aa9500)>,)
kwargs: {}

Comment 1 Rick Kasten 2014-01-06 19:50:07 UTC
Created attachment 846288 [details]
File: backtrace

Comment 2 Rick Kasten 2014-01-06 19:50:08 UTC
Created attachment 846289 [details]
File: environ

Comment 4 Fedora End Of Life 2015-01-09 21:01:43 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.